import { HttpClient } from "@angular/common/http";
import { Injectable } from "@angular/core";
import { MatTabBody } from "@angular/material";
import { DynaDataService } from "@xdf/gallery";

@Injectable({
  providedIn: 'root'
})
export class CalendarExceptionService extends DynaDataService {

  serviceURL = './service/settings/calendar-exception';

  constructor(private httpClient: HttpClient) {
    super(httpClient);
  }

  getData() {
    return this.httpClient.post(this.serviceURL, null);
  }
  
  getByCaleId(caleId, sortDirection, columnName, filterExpresion){
    return this.httpClient.post(this.serviceURL+ '/find-by-calendar-id', {caleId, sortDirection, columnName, filterExpresion});
  }

}